TOPDIR?=../..
PLATFORMDIR?=${TOPDIR}

TDIR=${DEST}/regress/php_templates

TMPLROOT=../template_test/templates
USE_TEMPLATES=test shared
USE_VTREE_FILTERS=yes
USE_BLOCKET_FUNCTIONS=yes
USE_REDIS_FILTERS=yes


REGRESS_TARGETS=templates tpfunc-statuscode php-logging php-vtree_type
LOG_FILE=${SYSLOGROOT}/php_templates.log
EXTRACLEAN+=.php.out


tpfunc-%:
	${SYSLOGHOOK} ${CMD_PREFIX} ${PHP_TOOL} -q -c ${TDIR}/conf tpfunc.php ${REGRESS_TRANS_PORT} $* > .php.out
	${MATCH} .php.out tpfunc-$*.out
	if [ -f '$@.logchk' ]; then \
		tail -n 1 ${LOG_FILE} | grep -f $@.logchk >/dev/null ; \
		if [ $$? != 0 ]; then \
			echo "Error: contents of $@.logchk not found in tail of ${LOGFILE}" ; \
			echo "Got:" ; \
			tail -n 1 ${LOG_FILE} ; \
			echo "Expected:" ; \
			cat $@.logchk ; \
			exit 1 ; \
		fi ; \
	fi

templates:
	${SYSLOGHOOK} ${CMD_PREFIX} ${PHP_TOOL} -q -c ${TDIR}/conf $@.php ${REGRESS_TRANS_PORT} > .php.out
	${MATCH} .php.out ../template_test/expect.out

php-%:
	${SYSLOGHOOK} ${CMD_PREFIX} ${PHP_TOOL} -q -c ${TDIR}/conf $(subst php-,,$@).php ${REGRESS_TRANS_PORT} > .php.out
	${MATCH} .php.out $*.out
	if [ -f '$@.logchk' ]; then \
		tail -n 1 ${LOG_FILE} | grep -f $@.logchk >/dev/null ; \
			if [ $$? != 0 ]; then \
				echo "Error: contents of $@.logchk not found in tail of ${LOGFILE}" ; \
				echo "Got:" ; \
				tail -n 1 ${LOG_FILE} ; \
				echo "Expected:" ; \
				cat $@.logchk ; \
			exit 1 ; \
		fi ; \
	fi

include ${PLATFORMDIR}/mk/ninja.mk
include ${PLATFORMDIR}/mk/regress.mk
include ${PLATFORMDIR}/mk/regressinit.mk
